# Uses of Interface
ch.qos.logback.core.pattern.util.IEscapeUtil

Packages that use IEscapeUtil
Package
Description
ch.qos.logback.core.pattern.parser
ch.qos.logback.core.pattern.util

## Uses of IEscapeUtil in ch.qos.logback.core.pattern.parser

Constructors in ch.qos.logback.core.pattern.parser with parameters of type IEscapeUtil
Modifier
Constructor
Description
``
`Parser(String pattern, IEscapeUtil escapeUtil)`

## Uses of IEscapeUtil in ch.qos.logback.core.pattern.util

Classes in ch.qos.logback.core.pattern.util that implement IEscapeUtil
Modifier and Type
Class
Description
`class`
`AlmostAsIsEscapeUtil`
This implementation is intended for use in `FileNamePattern`.
`class`
`AsIsEscapeUtil`
`class`
`RegularEscapeUtil`
This implementation is intended for use in PatternLayout.
`class`
`RestrictedEscapeUtil`
This implementation is intended for use in PatternLayout.